Forex Blog

First-hand Forex trading experience and information about foreign exchange market that will be useful to traders

Archives

NorthFinance Warns Traders

June 26, 2007 (Last updated on December 5, 2009) by

NorthFinance warns its clients that after July 1st it will stop supporting MetaTrader 4 platform versions older than build 200. So, it is about a time to update your Forex trading software if you are trading with NorthFinance. Update can be automatically started on the program startup. Updating your Metatrader 4 platform not only will keep you up to date with NorthFinance, but also will remove some bugs (that are fixed in newer versions) and enhance your experience with expert avisors (that need to be recompiled with almost every build in pre-200 versions).

Leave a Reply

required
required (will not be published)